task strelka {

    File ref_dir
	File fasta

	File Dedup_bam
	File Dedup_bam_index
	String sample
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e	
		nt=$(nproc)
		configureStrelkaGermlineWorkflow.py --bam ${Dedup_bam} --referenceFasta ${ref_dir}/${fasta} 
		StrelkaGermlineWorkflow/runWorkflow.py -m local -j $nt
	>>>

	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		Array[File] output_files = glob("StrelkaGermlineWorkflow/results/variants/*")
	}
}
